Bug 125188 - PS/2 keyboard stops working
PS/2 keyboard stops working
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-03 10:52 EDT by Need Real Name
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-06-03 10:52:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I have found that when I leave my Fedora Core 2 machine 
inactive overnight that the keyboard becomes unusable 
shortly after it is used the next morning. While the
keyboard will initially work the next morning it will
stop registering keys shortly afterwards (15 minutes).
The mouse still works fine. Logging out of X with the
mouse doesn't solve the problem (so it shouldn't be
a X server problem). Replugging in the keyboard doesn't
solve the problem either although the messages log
shows that it is autodetected when plugged back in.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.6-1.406

How reproducible:
Always

Steps to Reproduce:
1. install Fedora Core 2 and updates on a machine with PS/2 keyboard
and mouse
2. leave machine logged into X windows session overnight
3. wake machine in the morning and use keyboard at 15 minute intervals
opening new terminals occasionally
    

Actual Results:  I expected the keyboard to continue to work as it
does when the
machine is woken.

Expected Results:  After a woken, the keyboard stops responding to
keystrokes after
awhile. This problem seems specific to log periods of inactivity
(like overnight). I can leave it idle for periods of 30 mins to
an hour without this happening.

Additional info:
Comment 1 Richard Lee 2004-06-03 23:05:01 EDT
I have seen this as well.  I have not been able to figure out what is
causing it.  I did not have this problem with fc 1.92, only when I
upgraded to fc 2.0 did this start happening.  I have reinstalled fc 2,
but still have the problem.
Comment 2 Need Real Name 2004-06-04 09:26:56 EDT
In case it helps, the machine in question is a dual 3.06 GHz Xeon
using a Tyan Tiger i7505 S2668 motherboard with 1.02 Bios firmware.
The machine has a Radeon 9600XT and two  Western Digital 120 Gb
SATA drives connected to a Promise RAID chipset.
Comment 3 Need Real Name 2004-06-04 10:27:14 EDT
One other comment. Since I have seen messages on other
mailing lists indicating that battery applets can cause
a similar problem by sampling the acpi too often (reducing
the rate at which the acpi battery status is checked in
the applet reduces or eliminates the problem), I tried
stopping the acpid daemon. I did this rather than booting
with "acpi=no". So far this seems to be working. The machine
survived an overnight rest for the first time in a week without
the keyboard freezing shortly after use.
Comment 4 Gregory Maxwell 2004-06-29 11:19:04 EDT
Just wanted to chime in that we're seeing this problem on an PIV 3.0e
system with an Intel brand i875 motherboard the system is running a
SMP kernel for hyperthreading (2.6.5-1.358smp, haven't upgraded
because the new one hangs at boot).

We'll try the ACPI flag without changing anything else.
Comment 5 Ed 2004-10-28 18:02:05 EDT
I have this problem on a FC2 dual Athlon machine, but it occurs at
random times while using keyboard
Comment 6 Dave Jones 2005-04-16 00:24:17 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.